// ---------------------------------------------------------------------------
// armedplane - Tutorial 7 by BRSSED Tut model - 16.02.03
//---------------------------------------------------------------------------

// DEFINE SECTION //////////////
#define TEast 0
#define TWest 1
#define TGuerrila 2
#define TCivilian 3
#define TSideUnknown 4
#define TEnemy 5
#define TFriendly 6
#define TLogic 7

#define true 1
#define false 0

#define private 0
#define protected 1
#define public 2


// CfgPatches //////////////////////////
class CfgPatches
{
	class armedplane
        {
		units[] = {armedplane};
		weapons[] = {};				// No weapon export
		requiredVersion = 1.4;	
	};
};
	
// CfgModels /////////////////////////////
class CfgModels
{
	class Default {};
	class vehicle: default {};
	
	class armedplane: vehicle 
	{
		sectionsInherit="Vehicle";
		sections[]={"vrtule staticka","vrtule blur"};
	};
	class Weapon: default {};
	class sidewinder: Weapon {};
};


// CfgAmmo ///////////////////////////////
class	CfgAmmo
{
	class Default {};
	class AT3: Default {};
	class CarlGustav: AT3 {};

	class sidewinder : CarlGustav 	 
	{
		minRange=100;minRangeProbab=0.8;		
        midRange=500;midRangeProbab=1.0;		
        maxRange=2000;maxRangeProbab=1.0;		
		airLock=1;
		irLock=0;
		initTime=0.5;
		ThrustTime=100;
		thrust=1000;
		maxspeed=1300;
		hit=100;indirectHit=80;indirectHitRange=3;		
		model = "\armedplane\sidewinder.p3d";
		proxyShape="\armedplane\sidewinder.p3d";
		manualControl=0;
		maxControlRange=2000;
		maneuvrability=100.0;
	};
};

// CgfWeapons ////////////////////////////
class CfgWeapons
{
	class Default{};
		
	class MGun: Default{};
	class MachineGun7_6: MGun{};
	
	// Our Machinegun ///////////////////////////////////
	class ArmedPlane_MG: MachineGun7_6
	{
		ammo="Bullet30";
		count=500;		
		reloadTime=0.08000;
		autoFire = true;		
	};

	class LAWLauncher: Default {};
	class CarlGustavLauncher : LAWLauncher {};
	class AT3Launcher: CarlGustavLauncher {};
	class HellfireLauncher: AT3Launcher {};
	class MaverickLauncher: HellfireLauncher {};

	class sidewinder_Launcher: MaverickLauncher
	{
		ammo=DKMM_OV10_AIM9L;
		displayName="AIM-9L Sidewinder";
		displayNameMagazine="SidewinderA";
		shortNameMagazine="AIM-9L";
		magazine="sidewinder";
		count=6;
		initspeed=15;	
		model = "\armedplane\sidewinder.p3d";
		proxyShape ="\armedplane\sidewinder.p3d";
		canLock=2;		
		sound[]={Weapons\Missile,db+18,1};
		aiRateOfFire=8;
		aiRateOfFireDistance=3500;
	};
	
	class ZuniLauncher38: AT3Launcher {};
	
	// Unguided Rockets Launcher
	class ArmedPlane_UG : ZuniLauncher38
	{
		opticsZoomMin=0.08;
		opticsZoomMax=0.84;
		scopeWeapon = public;
		scopeMagazine = public;
		displayName="Unguided Rockets";
		displayNameMagazine="UnGRockets";
		shortNameMagazine="UnGRockets";
		count=80;
		reloadTime=0.2;
		initSpeed=0;
		aiRateOfFire=5.0;		
		aiRateOfFireDistance=300; 
		minRange=250;minRangeProbab=1;
		midRange=500;midRangeProbab=0.99;
		maxRange=1000;maxRangeProbab=0.95;
	};
};



// CfgVehicles //////////////////////////////
class CfgVehicles
{
	class All {};
	class AllVehicles: All {};
	class Air: AllVehicles {};
	class Plane: Air {};
	class A10: Plane {};

	class armedplane: A10
	{
		scope=public;
        side=TWest;
		displayName="My Armed Plane";
		model="\armedplane\armedplane";		
		accuracy=0.30;
		gearRetracting = true; 
		nameSound="plane";
		soundEngine[]={"Vehicles\plane",db-10,1};			// Cessna sound
		soundEnviron[]={"Objects\noise",db-60,1.0};			// Cessna sound
		soundServo[]={"Vehicles\gun_elevate",db-40,0.4};		// Cessna sound
		maneuvrability=50.0;
		maxSpeed=450;
		armor=100;
		aileronSensitivity = .8; 		// relative aileron sensitivity
		elevatorSensitivity = .8; 		// relative elevator sensitivity
		noseDownCoef = .3; 			// how much goes nose down during turns
		landingAoa = 10*3.1415/180;
		brakeDistance=300; 			// vehicle movement precision
		steerAheadSimul=1.0;
		steerAheadPlan=2.0;

		transportSoldier=1;
		crew = "SoldierWPilot";
		driverAction = ManActUH60Pilot;
	
		extCameraPosition[]={0,3,-15};		// 0,5,-30 is standard Air class 
		irTarget=true;
		irScanRange = 2000;
		irScanGround = true;				
		
		weapons[]={ ArmedPlane_MG, sidewinder_Launcher, ArmedPlane_UG  };
		magazines[]={ ArmedPlane_MG, sidewinder_Launcher, ArmedPlane_UG};    
	};
};

// CfgNonAIVehicles /////////////////////
class CfgNonAIVehicles
{
	class ProxyWeapon {};
	class ProxyArmedPlane_MG: ProxyWeapon {};
	class Proxysidewinder: ProxyWeapon 
	{
		model="\armedplane\sidewinder.p3d"; simulation="maverickweapon";
	};
};